3 # update all known gstreamer modules
4 # build them one by one
5 # report failures at the end
6 # run this from a directory that contains the checkouts for each of the
12 gstreamer gst-plugins-base"
14 gst-plugins-good gst-plugins-ugly gst-plugins-bad \
17 gst-editing-services \
22 tmp=$tmp/git-update.$(date +%Y%m%d-%H%M-).$RANDOM.$RANDOM.$RANDOM.$$
24 (umask 077 && mkdir "$tmp") || {
25 echo "Could not create temporary directory! Exiting." 1>&2
29 ERROR_LOG="$tmp/failures.log"
32 for m in $CORE $MODULES $EXTRA_MODULES; do
40 echo "$m: update (trying stash, pull, stash apply)" >> $ERROR_LOG
45 echo "$m: update" >> $ERROR_LOG
55 echo "$m: update (submodule)" >> $ERROR_LOG
69 if test -e autoregen.sh
71 echo "+ $1: autoregen.sh"
72 ./autoregen.sh > "$tmp/$1-regen.log" 2>&1
75 echo "$1: autoregen.sh [$tmp/$1-regen.log]" >> $ERROR_LOG
79 echo "+ $1: autoregen.sh done"
81 echo "+ $1: autogen.sh"
82 ./autogen.sh > "$tmp/$1-gen.log" 2>&1
85 echo "$1: autogen.sh [$tmp/$1-gen.log]" >> $ERROR_LOG
89 echo "+ $1: autogen.sh done"
94 make > "$tmp/$1-make.log" 2>&1
97 echo "$1: make [$tmp/$1-make.log]" >> $ERROR_LOG
101 echo "+ $1: make done"
103 if test "x$CHECK" != "x"; then
104 echo "+ $1: make check"
105 make check > "$tmp/$1-check.log" 2>&1
108 echo "$1: check [$tmp/$1-check.log]" >> $ERROR_LOG
112 echo "+ $1: make check done"
120 if test -e $ERROR_LOG; then
131 # build core and base plugins sequentially
132 # exit if build fails (excluding checks)
135 if [ $? -eq $ERROR_RETURN ]; then
140 # build other modules in parallel
141 for m in $MODULES; do